import { BlockLexer } from './block-lexer';
import { InlineLexer } from './inline-lexer';
import { BlockRuleOption, InlineRuleOption, LexerReturns, Links, NewRenderer, Option, Token } from './interfaces';
import { Parser } from './parser';
import { Renderer } from './renderer';
export default class Smarkdown {
    static BlockLexer: typeof BlockLexer;
    static InlineLexer: typeof InlineLexer;
    static option: Option;
    static Parser: typeof Parser;
    static Renderer: typeof Renderer;
    static getOption(option: Option): Option;
    static setOption(option: Option): void;
    static resetOption(): void;
    static setRule(regExp: RegExp, renderer: NewRenderer, option?: InlineRuleOption | BlockRuleOption): void;
    static unsetRule(regExp: RegExp): void;
    static inlineParse(src: string, option: Option): string;
    static parse(src: string, option?: Option): string;
    protected static callBlockLexer(src?: string, option?: Option): LexerReturns;
    protected static callParser(tokens: Token[], links: Links, option?: Option): string;
    protected static callError(err: Error): string;
}
