import { InlineRule, InlineRuleOption, Links, NewRenderer, Option } from './interfaces';
import { Renderer } from './renderer';
export declare class InlineLexer {
    protected self: typeof InlineLexer;
    protected links: Links;
    protected option: Option;
    private static baseRules;
    private static pedanticRules;
    private static gfmRules;
    private static breaksRules;
    private static extraRules;
    private inLink;
    private inRawBlock;
    private isExtra;
    private isGfm;
    private renderer;
    private rules;
    private defaultTextBreak;
    static isTextBreakSync: boolean;
    static newRules: InlineRule[];
    constructor(self: typeof InlineLexer, links: Links, option: Option, renderer?: Renderer);
    static output(src: string, links: Links, option: Option): string;
    static setRule(regExp: RegExp, renderer: NewRenderer, option?: InlineRuleOption): void;
    static unsetRule(regExp: RegExp): void;
    private static getBaseRules;
    private static getPedanticRules;
    private static getGfmRules;
    private static getBreaksRules;
    private static getExtraRules;
    private setRules;
    private escapes;
    private sortByPriority;
    output(nextPart: string): string;
    private outputLink;
    private smartypants;
    private mangle;
}
